package com.mvc.entity;

import java.io.Serializable;

/**
* @Description:
* @Author: guozhao
* @CreateDate: 2025-08-07 10:15:50
*/
public class TStationStructure implements Serializable {
    /**
     * 主键
     */
    private Integer id;

    /**
     * 遥测站编码
     */
    private String stationCode;

    /**
     * 父级遥测站编码
     */
    private String parentCode;

    /**
     * 水表等级
     */
    private Integer waterMeterLevel;

    /**
     * 用水类型(字典)
     */
    private Integer waterType;

    /**
     * 单位代码
     */
    private String unitCode;

    /**
     * 节点key
     */
    private String nodeKey;

    /**
     * 父节点key
     */
    private String parentKey;

    /**
     * 节点标签(节点无抄表器时显示)
     */
    private String nodeLabel;

    /**
     * 节点类型(0:无站点;1有站点)
     */
    private Byte nodeType;

    /**
     * 节点排序
     */
    private Byte nodeOrder;

    /**
     * t_station_structure
     */
    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getStationCode() {
        return stationCode;
    }

    public void setStationCode(String stationCode) {
        this.stationCode = stationCode == null ? null : stationCode.trim();
    }

    public String getParentCode() {
        return parentCode;
    }

    public void setParentCode(String parentCode) {
        this.parentCode = parentCode == null ? null : parentCode.trim();
    }

    public Integer getWaterMeterLevel() {
        return waterMeterLevel;
    }

    public void setWaterMeterLevel(Integer waterMeterLevel) {
        this.waterMeterLevel = waterMeterLevel;
    }

    public Integer getWaterType() {
        return waterType;
    }

    public void setWaterType(Integer waterType) {
        this.waterType = waterType;
    }

    public String getUnitCode() {
        return unitCode;
    }

    public void setUnitCode(String unitCode) {
        this.unitCode = unitCode == null ? null : unitCode.trim();
    }

    public String getNodeKey() {
        return nodeKey;
    }

    public void setNodeKey(String nodeKey) {
        this.nodeKey = nodeKey == null ? null : nodeKey.trim();
    }

    public String getParentKey() {
        return parentKey;
    }

    public void setParentKey(String parentKey) {
        this.parentKey = parentKey == null ? null : parentKey.trim();
    }

    public String getNodeLabel() {
        return nodeLabel;
    }

    public void setNodeLabel(String nodeLabel) {
        this.nodeLabel = nodeLabel == null ? null : nodeLabel.trim();
    }

    public Byte getNodeType() {
        return nodeType;
    }

    public void setNodeType(Byte nodeType) {
        this.nodeType = nodeType;
    }

    public Byte getNodeOrder() {
        return nodeOrder;
    }

    public void setNodeOrder(Byte nodeOrder) {
        this.nodeOrder = nodeOrder;
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-08-07 10:15:50
     */
    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", stationCode=").append(stationCode);
        sb.append(", parentCode=").append(parentCode);
        sb.append(", waterMeterLevel=").append(waterMeterLevel);
        sb.append(", waterType=").append(waterType);
        sb.append(", unitCode=").append(unitCode);
        sb.append(", nodeKey=").append(nodeKey);
        sb.append(", parentKey=").append(parentKey);
        sb.append(", nodeLabel=").append(nodeLabel);
        sb.append(", nodeType=").append(nodeType);
        sb.append(", nodeOrder=").append(nodeOrder);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}